com.amazonaws.services.cloudfront.waiters

## Class GetDistributionFunction

- java.lang.Object
- - com.amazonaws.services.cloudfront.waiters.GetDistributionFunction

All Implemented Interfaces:
  SdkFunction<GetDistributionRequest,GetDistributionResult>

    public class GetDistributionFunction
    extends Object
    implements SdkFunction<GetDistributionRequest,GetDistributionResult>

### Constructor Summary

Constructors
Constructor and Description
`GetDistributionFunction(AmazonCloudFront client)` Constructs a new GetDistributionFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDistributionResult` `apply(GetDistributionRequest getDistributionRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetDistributionFunction

    public GetDistributionFunction(AmazonCloudFront client)

Constructs a new GetDistributionFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public GetDistributionResult apply(GetDistributionRequest getDistributionRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<GetDistributionRequest,GetDistributionResult>`
Parameters:
  `getDistributionRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation